Namespace
library
Image / Tag
consul:1.10.9
Content Digest
sha256:e5fc976f961ff426f73e8edfa1154249f0d7edc225019a69cfeafea628e81eae
Details
Created

2022-04-05 02:40:56 UTC

Size

41.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:54c95c2f58283907ca735a3fe8d3ac4a49a63dc20092eb6fddd7bad2429e3f67 - 6.54% (2.69 MB)

[#001] sha256:197ec088178acb73285230f7ca07dd3725ba5a15482a3bd112182ecad108dfa2 - 0.0% (1.2 KB)

[#002] sha256:eb4458a06ca7b9d1e9a02a9db64826f5ece44a6ea81c2aea770636e2a60521d6 - 93.45% (38.4 MB)

[#003] sha256:01e3e31c047f77a5ddc241add7b65417134be137ffce7125d45e648f3d66b96e - 0.0% (142 Bytes)

[#004] sha256:840e889e65c9d6f61df37a42dcaec28d645afdaa70a5860cc0bb934d44a391d3 - 0.0% (153 Bytes)

[#005] sha256:bdada73613b30aeedb0e11be1009ea2cfe30830543dc9a99e307c851f4825fb8 - 0.0% (1.74 KB)


History
2022-04-04 23:38:38 UTC

/bin/sh -c #(nop) ADD file:caa278dc5cc6257518d542227fef491a89b0b4a7fc4dcb87632c2b786b65752a in /

2022-04-04 23:38:38 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 02:40:39 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.9

2022-04-05 02:40:40 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 02:40:41 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 02:40:42 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 02:40:48 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 02:40:48 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 02:40:49 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 02:40:50 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 02:40:51 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 02:40:52 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 02:40:53 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 02:40:55 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 02:40:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 02:40:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 04:28:40 UTC

Size

41.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6097bfa160c13665f946cea95b206a812a795d2517d7690a0a0796d64ec5f817 - 6.44% (2.69 MB)

[#001] sha256:8480aff614364a7a0997ff8cdc8d25859f544c6ac6209126c5cc333a8780b28e - 0.0% (1.23 KB)

[#002] sha256:b607459273df067f36cc78a14ece6f1073c82548a95b03caa1d30d2073cc8292 - 93.55% (39 MB)

[#003] sha256:680c595d5bbd758681586187c7799edb2f6c3f6efaa906547a88ca6a326c2eea - 0.0% (174 Bytes)

[#004] sha256:0e65f7dc85d4c2f9b958c242b8626f12c59a1d5d2d0c1ddcb3173ecfa196045e - 0.0% (153 Bytes)

[#005] sha256:7fa8a5f0487a9b71bcfd4f7cacce869d2417b9696d2f3a15b805885e8dededf9 - 0.0% (1.74 KB)


History
2022-04-05 00:20:14 UTC

/bin/sh -c #(nop) ADD file:0f80c1db9ba5535d5020662b1c880624848316637bf3f9c189f459ab31f365d0 in /

2022-04-05 00:20:14 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 04:28:32 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.9

2022-04-05 04:28:32 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 04:28:32 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 04:28:33 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 04:28:38 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 04:28:39 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 04:28:39 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 04:28:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 04:28:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 04:28:40 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 04:28:40 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 04:28:40 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 04:28:40 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 04:28:40 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 03:19:53 UTC

Size

39.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:83a39d5693a8029bb5246b7d72205357bcd5d8306489b586abf44bc8659dfc1e - 6.28% (2.5 MB)

[#001] sha256:28544bac1297edf3a28d07847dc9fe7291a5784f0105879d346523392e9e8678 - 0.0% (1.23 KB)

[#002] sha256:49f120f2da8347c0ff2b4de1e4192fde96b03f938d86e17f1a7d80640dafc067 - 93.71% (37.4 MB)

[#003] sha256:587d62893c6eacae7ca47d3bac42c664c7a4e72da0a4eb8c6fbbb314952f0cfa - 0.0% (176 Bytes)

[#004] sha256:93977010d13bb98932e926d49fe7f8a6aaa1dc103daf21cfd16c33341387a6a0 - 0.0% (155 Bytes)

[#005] sha256:2a2ff797abcf190169a4176d7d279120596760075e45b1b82e4df9362db733be - 0.0% (1.74 KB)


History
2022-04-04 23:50:07 UTC

/bin/sh -c #(nop) ADD file:9e96de1fefc4e9efba26e76103eca5f1495f00a66a8d8207d493fa9eabed19c0 in /

2022-04-04 23:50:07 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 03:19:31 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.9

2022-04-05 03:19:32 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 03:19:32 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 03:19:34 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 03:19:47 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 03:19:48 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 03:19:50 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 03:19:50 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 03:19:51 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 03:19:51 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 03:19:52 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 03:19:52 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 03:19:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 03:19:53 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 14:36:09 UTC

Size

39.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:edd30f0f17040c7b292e0960fa771cf3ea45f994d7a2577a14fe02ae7ce727e9 - 6.51% (2.59 MB)

[#001] sha256:8b92c14999a3c2628a9f91901dbecba9ada9cc2bc1a335d866ec513af8db4277 - 0.0% (1.2 KB)

[#002] sha256:09a6205a5c1a8255fbc2b10be6d02a8adaed227710d287284c2f2384a5c00a8e - 93.48% (37.2 MB)

[#003] sha256:b3a5ba7813eb8ce8c8f6cdca9ea9a2239063362ccf9fbfeb2f61bb3bd7a8c09a - 0.0% (142 Bytes)

[#004] sha256:5d940ffad9615111903112c2bbb4d264ead7af0a99dd43dcefec499c8d51f55a - 0.0% (153 Bytes)

[#005] sha256:27fa218cfdc044d126eda1cb378c37311e2dd06f06df6c6f82824040a9f5f3f8 - 0.0% (1.74 KB)


History
2022-04-04 23:39:46 UTC

/bin/sh -c #(nop) ADD file:535e6f58c2cf7520c1824c8a290dc38c5519485470ed49587748a27c0113d586 in /

2022-04-04 23:39:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 14:35:52 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.9

2022-04-05 14:35:53 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 14:35:54 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 14:35:55 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 14:36:00 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 14:36:01 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 14:36:02 UTC

|1 CONSUL_VERSION=1.10.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 14:36:03 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 14:36:04 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 14:36:05 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 14:36:06 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 14:36:08 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 14:36:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 14:36:09 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]